;
; Program Page switching macros
;
; Macros required when making CALLs or GOTOs
;
; PageXY
; Where X is the page to switch from.
; And Y is the page to switch to.
;
;
; Switch from Page 0 to Page 1
Page01  macro
        bsf     STATUS,5
        endm
;
; Switch from Page 0 to Page 2
Page02  macro
        bsf     STATUS,6
        endm
;
; Switch from Page 0 to Page 3
Page03  macro
        bsf     STATUS,6
        bsf     STATUS,5
        endm
;
; Switch from Page 1 to Page 0
Page10  macro
        bcf     STATUS,5
        endm
;
; Switch from Page 1 to Page 2
Page12  macro
        bsf     STATUS,6
        bcf     STATUS,5
        endm
;
; Switch from Page 1 to Page 3
Page13  macro
        bsf     STATUS,6
        endm
;
; Switch from Page 2 to Page 0
Page20  macro
        bcf     STATUS,6
        endm
;
; Switch from Page 2 to Page 1
Page21  macro
        bsf     STATUS,5
        bcf     STATUS,6
        endm
;
; Switch from Page 2 to Page 3
Page23  macro
        bsf     STATUS,5
        endm
;
; Switch from Page 3 to Page 0
Page30  macro
        bcf     STATUS,6
        bcf     STATUS,5
        endm
;
; Switch from Page 3 to Page 1
Page31  macro
        bcf     STATUS,6
        endm
;
; Switch from Page 3 to Page 2
Page32  macro
        bcf     STATUS,5
        endm

